Subject: Re: [kernel.org users] README and ChangeLog files

From: Jeff Garzik <[email-masked]>
Date: Fri, 22 Aug 2008 19:09:52 -0400

Junio C Hamano wrote:
> Maybe we should try to see how hard it would be to issue warnings when
> "git-foo" form is used for builtins before we declare that dashed form is
> deprecated for builtins, and start warning when the deprecation actually
> happens.  As many people on this thread suggested, it would make the
> transition easier.

I would tend to prefer a compatibility package or similar.

My fingers have long learned "git-prefix<tab>" for several commands. 
And Fedora puts so much crap in /usr/bin anyway, I don't see it a big 
deal to have all those names in the directory.

Actually, I bet git-foo, git-bar, and git-blah could all link to the 
same compatibility script, which simply invokes "git $command $args..."

That would be nice.

	Jeff